---
title: DynamicsCompressorNode.reduction
slug: Web/API/DynamicsCompressorNode/reduction
tags:
  - API
  - DynamicsCompressorNode
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
  - reduction
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <strong><code>reduction</code></strong> read-only property of the {{ domxref("DynamicsCompressorNode") }} interface is a float representing the amount of gain reduction currently applied by the compressor to the signal.</p>

<p>Intended for metering purposes, it returns a value in dB, or <code>0</code> (no gain reduction) if no signal is fed into the <code>DynamicsCompressorNode</code>. The range of this value is between <code>-20</code> and <code>0</code> (in dB).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myReduction = compressorNodeInstance.reduction;
</pre>

<h3 id="Value">Value</h3>

<p>A float.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var compressor = audioCtx.createDynamicsCompressor();
var myReduction = compressor.reduction;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-dynamicscompressornode-reduction', 'reduction')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode.reduction")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
